﻿require.config({
    paths: {
        "jquery": "jquery",
        "jqxcore": "jqxcore",
        "jqxdata": "jqxdata",
        "jqxdata.export": "jqxdata.export",
        "jqxgrid": "jqxgrid",
        "jqxgrid.columnsresize": "jqxgrid.columnsresize",
        "jqxgrid.edit": "jqxgrid.edit",
        "jqxgrid.export": "jqxgrid.export",
        "jqxgrid.selection": "jqxgrid.selection",
        "jqxbuttons": "jqxbuttons",
        "jqxscrollbar": "jqxscrollbar",
        "jqxmenu": "jqxmenu"
    },
    shim: {
        "jqxcore": {
            export: "$",
            deps: ["jquery"]
        },
        "jqxdata": {
            export: "$",
            deps: ["jquery", "jqxcore"]
        },
        "jqxdata.export": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxdata"]
        },
        "jqxgrid": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxdata"]
        },
        "jqxgrid.columnsresize": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxgrid"]
        },
        "jqxgrid.edit": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxgrid"]
        },
        "jqxgrid.export": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxdata.export", "jqxgrid"]
        },
        "jqxgrid.selection": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxgrid"]
        },
        "jqxbuttons": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxgrid"]
        },
        "jqxscrollbar": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxgrid"]
        },
        "jqxmenu": {
            export: "$",
            deps: ["jquery", "jqxcore", "jqxgrid"]
        }
    }
});

require(["app"], function (App) {
    App.initialize();
});